<?php
include('includes/style-main.php');
session_start();
if(isset($_SESSION['user']))
	{
	    header('location:index.php');
	}
	elseif(isset($_SESSION['admin']))
	{
	    header('location:admin.php');
	}
		
?>
<!DOCTYPE html>
<html lang="en-us">

<head>
<meta charset="utf-8">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>

<title>Quiz | Create</title>
</head>

<body>
	
	<?php if($login_status == 1 && $images == ""){?>
	<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
		 <div class="container">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav ml-auto">
      <li class="nav-item">
        <a class="nav-link" href="index.php">Create</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="display.php">Take</a>
      </li>
       <li class="nav-item">
        <a class="nav-link" href="results.php">Results</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="reset.php">Reset</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="profile.php">Welcome <?php echo " - " . $email;?></a>
      </li>
  <li class="nav-item">
        <a class="nav-link" href="logout.php">Log Out</a>
      </li>
    </ul>
  </div>
</nav></div>
<?php 
}
 elseif($login_status == 1 && $images != ""){?>
	<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
		 <div class="container">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav ml-auto">
      <li class="nav-item">
        <a class="nav-link" href="index.php">Create</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="display.php">Take</a>
      </li>
       <li class="nav-item">
        <a class="nav-link" href="results.php">Results</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="reset.php">Reset</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="profile.php">Welcome <?php echo " - " . $email . " ";?><img src="<?php echo $images; ?>" class="user"/></a>
  </li>

       <li class="nav-item">
        <a class="nav-link" href="logout.php">Log Out</a>
      </li>
    </ul>
  </div>
</nav></div>
<?php 
}
else{
    
?>
	<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
		 <div class="container">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav ml-auto">
       <li class="nav-item">
        <a class="nav-link" href="login.php">Log In</a>
      </li>
       <li class="nav-item active">
        <a class="nav-link" href="register.php">Register</a>
      </li>
    </ul>
  </div>
</nav></div>


<?php
}
?><br><br><br>
<div class="container">

	<?php
  if($_SERVER['REQUEST_METHOD']=='POST')
 {
 
  
  
  
   if(empty($_POST['firstname']))
	  {
		  $errName = "Please enter a <strong>First Name</strong>";  
	  }

	 else {
	     $firstname = mysqli_real_escape_string($connection,$_POST['firstname']); 
	 }
		if(empty($_POST['lastname']))
	  {
		  $errlname = "Please enter a <strong>Last Name</strong>";  
	  }

	 else {
	     $lastname = mysqli_real_escape_string($connection,$_POST['lastname']); 
	 }
		if(empty($_POST['email']))
	  {
		  $erremail = "Please enter a <strong>Email</strong>";  
	  }

	 else {
	     $email = mysqli_real_escape_string($connection,$_POST['email']); 
	 }
	 if(!empty($_POST['password']))
	  {
		if ($_POST['password'] != $_POST['passwordc'])
		 	{
				 $errpasswordc = "<strong>Passwords don't match</strong>"; 
			}
		else {
		$password = mysqli_real_escape_string($connection,$_POST['password']); 
		$encrypt = password_hash($password,PASSWORD_DEFAULT);
		}
				
	  }
	 else {
	       $errpassword = "Please enter a <strong>Password</strong>";  
	 }

		
	
  	if (!$errName && !$errlname && !$erremail && !$errpassword && !$errpasswordc) {
		$query ="SELECT * FROM users WHERE email = '$email'";
	$result = mysqli_query($connection, $query);
		if(mysqli_num_rows($result)!= 0)
		{
			 echo "<div>";
	echo "<ul>";
		echo "<div class='container'>
  <div class='row'>
    <div class='col-12 text-center'>
  <h1 align='center'>Email Already In Use</h1><a href='login.php' class='btn btn-primary mx-auto d-block'>Log In</a></div></div></div>";
	echo "</ul>";
	 echo "</div>";
	
		}   
        else {
	$query = "INSERT INTO users (fname,lname,email,password) VALUES('$firstname','$lastname','$email','$encrypt')";
		/*	$query2 = "INSERT INTO data (email) VALUES('$email')";
			 $result2 = mysqli_query($connection,$query2);*/
        $result = mysqli_query($connection,$query);
echo "<script>window.location.href='login.php'</script>";

}
}
else{
  	$result1 = '<div class="alert alert-danger">There is an error</div>';
}}
?>
		<div class="row spacing-row"><div class="col-lg-3 space"></div>
		<div class="col-lg-6 space"><div class="card">
	<div class="row">
		<div class="col-md-12 col-lg-12"> <form action="register.php" method="post" class="form">
		 <?php echo "<p class='text-danger'>$result1</p>";?>
  <div class="form-group">
    <label for="exampleInputEmail1">First Name</label>
    <input type="text" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="First Name" name="firstname" value="<?php echo isset($_POST['firstname']) ? $firstname :''?>">
   <?php echo "<p class='text-danger'>$errName</p>";?>
  </div>
  <div class="form-group">
    <label for="exampleInputPassword1">Last Name</label>
    <input type="text" class="form-control" id="exampleInputPassword1" placeholder="Last Name" name="lastname" value="<?php echo isset($_POST['lastname']) ? $lastname :''?>">
   <?php echo "<p class='text-danger'>$errlname</p>";?>
  </div>
  <div class="form-group">
    <label for="exampleInputEmail1">Email</label>
    <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Email" name="email" value="<?php echo isset($_POST['email']) ? $email :''?>">
    <?php echo "<p class='text-danger'>$erremail</p>";?>
  </div>

		
   <div class="form-group">
    <label for="exampleInputEmail1">Password</label>
    <input type="password" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Password" name="password" value="<?php echo isset($_POST['password']) ? $password :''?>">
    <?php echo "<p class='text-danger'>$errpassword</p>";?>
     <?php echo "<p class='text-danger'>$errpasswordc</p>";?>
 
  </div>
  <div class="form-group">
    <label for="exampleInputEmail1">Confirm Password</label>
    <input type="password" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Confirm Password" name="passwordc" value="<?php echo isset($_POST['passwordc']) ? $passwordc :''?>">
     <?php echo "<p class='text-danger'>$errpassword</p>";?>
    <?php echo "<p class='text-danger'>$errpasswordc</p>";?>
    
  </div>
			

			
			 <p class="text-center">Already have an account?<a class="link" href="login.php"> Log in here!</a></p>
   
 
		<div class="row"><div class="col-lg-12"><button type="submit" name="submit" value="send" class="btn btn-primary mx-auto d-block">Register</button></div></div></form>
	</div></div>

</div></div></div>
	</div>
	
</body>
<script>
var keys = {
    d: {
        code: 100,
        pressed: false,
        next: 'e'
    },
    e: {
        code: 101,
        pressed: false,
        next: 'v'
    },
    v: {
        code: 118,
        pressed: false,
        next: 'd'
    }
},
    nextKey = 'd';

$(document).keypress(function(e) {
    if (e.keyCode === keys[nextKey].code) {
        keys[nextKey].pressed = true;
        nextKey = keys[nextKey].next;
    } else {
        keys.d.pressed = false;
        keys.e.pressed = false;
        keys.v.pressed = false;
        nextKey = 'd';
    }

    if (keys.d.pressed && keys.e.pressed && keys.v.pressed) {
        window.location.replace("https://php-web2-aclfx.c9users.io/quiz/copiedcode.php");
    }
});
</script>
</html>
