<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Web 2 Index</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
<link href="https://fonts.googleapis.com/css?family=Oxygen" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Amaranth" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Pacifico" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Baloo+Bhaijaan" rel="stylesheet">

<style>
body {
  color: white;
  background-color:#5EACFF !important;
  /*font-family: 'Oxygen', sans-serif;*/
  /*font-family: 'Amaranth', sans-serif;*/
  /*font-family: 'Pacifico', cursive;*/
  font-family: 'Baloo Bhaijaan', cursive;
}


.title {
  color: white;
  /*font-family: 'Oxygen', sans-serif;*/
  /*font-family: 'Amaranth', sans-serif;*/
  /*font-family: 'Pacifico', cursive;*/
  font-family: 'Baloo Bhaijaan', cursive;
}

a {
  color:#fff;
}
a:hover {
  text-decoration: none;
  color:#fff;
}
</style>
</head>
<body>
  
<br>
<h1 class="title text-center">Index of my Web Design 2 coding</h1>
<div class="container"><br>
  <p class="text-center">Beginning of Web 2 / Review</p>
  <div class="row">
    <div class="col text-center">
      <a href="web2start.php" target="_blank"><button type="button" class="btn btn-primary">Web 2 Start</button></a>
    </div>
    <div class="col text-center">
      <a href="arrays.php" target="_blank"><button type="button" class="btn btn-primary">Arrays</button></a>
    </div>
    <div class="col text-center">
      <a href="loops2.php" target="_blank"><button type="button" class="btn btn-primary">Loops 2</button></a>
    </div>
    <div class="col text-center">
      <a href="switches.php" target="_blank"><button type="button" class="btn btn-primary">Switches</button></a>
    </div>
    <div class="col text-center">
      <a href="eightball.php" target="_blank"><button type="button" class="btn btn-primary">8 Ball</button></a>
    </div>
  </div>
<br><br>
<p class="text-center">Forms</p>
  <div class="row">
    <div class="col text-center">
      <a href="form.php" target="_blank"><button type="button" class="btn btn-primary">Form</button></a>
    </div>
    <div class="col text-center">
      <a href="process.php" target="_blank"><button type="button" class="btn btn-primary">Form Processing</button></a>
    </div>
    <div class="col text-center">
      <a href="form2.php" target="_blank"><button type="button" class="btn btn-primary">Form 2</button></a>
    </div>
    <div class="col text-center">
      <a href="process2.php" target="_blank"><button type="button" class="btn btn-primary">Form 2 Processing</button></a>
    </div>
    <div class="col text-center">
      <a href="question.php" target="_blank"><button type="button" class="btn btn-primary">Question</button></a>
    </div>
  </div>
<br><br>
  <p class="text-center">Fake Login / Register</p>
  <div class="row">
    <div class="col text-center">
      <a href="fake_form.php" target="_blank"><button type="button" class="btn btn-primary">Fake Form</button></a>
    </div>
    <div class="col text-center">
      <a href="fake_register.php" target="_blank"><button type="button" class="btn btn-primary">Fake Register</button></a>
    </div>
    <div class="col text-center">
      <a href="fake_security.php" target="_blank"><button type="button" class="btn btn-primary">Fake Security</button></a>
    </div>
  </div>
  <br><br>
  <p class="text-center">Greenwave Users DB</p>
  <div class="row">
    <div class="col text-center">
      <a href="gwsample/gwregister.php" target="_blank"><button type="button" class="btn btn-primary">GW Register</button></a>
    </div>
    <div class="col text-center">
      <a href="gwsample/gwlogin.php" target="_blank"><button type="button" class="btn btn-primary">GW Login</button></a>
    </div>
    <div class="col text-center">
      <a href="gwsample/gwmanage.php" target="_blank"><button type="button" class="btn btn-primary">GW Manage</button></a>
    </div>
    <div class="col text-center">
      <a href="#" target="_blank"><button type="button" class="btn btn-primary disabled" disabled>Input link name</button></a>
    </div>
    <div class="col text-center">
      <a href="#" target="_blank"><button type="button" class="btn btn-primary disabled" disabled>Input link name</button></a>
    </div>
  </div>
  <br><br>
  <p class="text-center">Midterm Quiz</p>
  <div class="row">
    <div class="col text-center">
      <a href="quiz/index.php" target="_blank"><button type="button" class="btn btn-primary">Quiz Home</button></a>
    </div>
    <div class="col text-center">
      <a href="php.class_notes/notes.php" target="_blank"><button type="button" class="btn btn-primary">Notes</button></a>
    </div>
    <div class="col text-center">
      <a href="php.class_notes/notes_index.php" target="_blank"><button type="button" class="btn btn-primary">Notes Index</button></a>
    </div>
    <div class="col text-center">
      <a href="calculator/index.php" target="_blank"><button type="button" class="btn btn-primary">Calculator</button></a>
    </div>
    <div class="col text-center">
      <a href="#" target="_blank"><button type="button" class="btn btn-primary disabled" disabled>Input link name</button></a>
    </div>
  </div>
  <br><br>
  <div class="row">
    <div class="col text-center">
      <a href="#" target="_blank"><button type="button" class="btn btn-primary disabled" disabled>Input link name</button></a>
    </div>
    <div class="col text-center">
      <a href="#" target="_blank"><button type="button" class="btn btn-primary disabled" disabled>Input link name</button></a>
    </div>
    <div class="col text-center">
      <a href="#" target="_blank"><button type="button" class="btn btn-primary disabled" disabled>Input link name</button></a>
    </div>
    <div class="col text-center">
      <a href="#" target="_blank"><button type="button" class="btn btn-primary disabled" disabled>Input link name</button></a>
    </div>
    <div class="col text-center">
      <a href="#" target="_blank"><button type="button" class="btn btn-primary disabled" disabled>Input link name</button></a>
    </div>
  </div>
</div>
</body>
</html>